Class AuthenticatorsApi
- java.lang.Object
-
- de.xima.fc.api.rest.pub.client.security.api.AuthenticatorsApi
-
- All Implemented Interfaces:
EndpointCategory
@Generated("de.xima.openapi.codegen.java_jaxrs.XimaJavaJaxrsGenerator") public final class AuthenticatorsApi extends Object implements EndpointCategoryThe API for making structured REST API calls to the "AuthenticatorsApi" endpoint.
-
-
Nested Class Summary
Nested Classes Modifier and Type Class Description classAuthenticatorsApi.GetSingleAuthenticatorHandler for thegetSingleAuthenticatorAPI method that lets you choose the content type via theAcceptheader.
-
Constructor Summary
Constructors Constructor Description AuthenticatorsApi(ApiClient apiClient)Creates a new API handler that uses the given client to send the HTTP requests.
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description Stringcategory()AuthenticatorsApi.GetSingleAuthenticatorgetSingleAuthenticator(String clientName)Single authenticator.
-
-
-
Constructor Detail
-
AuthenticatorsApi
public AuthenticatorsApi(ApiClient apiClient)
Creates a new API handler that uses the given client to send the HTTP requests.- Parameters:
apiClient- The client to use for HTTP requests.
-
-
Method Detail
-
category
public String category()
- Specified by:
categoryin interfaceEndpointCategory- Returns:
- The name of this category.
-
getSingleAuthenticator
public AuthenticatorsApi.GetSingleAuthenticator getSingleAuthenticator(String clientName) throws IllegalArgumentException
Single authenticator. Retrieves a single authenticator with the UUID given as a path parameter.- Parameters:
clientName- (required)- Returns:
- A handler for making a call to the API with a given content type (accept header).
- Throws:
IllegalArgumentException- When a required parameter is missing or a parameter does not confirm to the expected format.
-
-